summaryrefslogtreecommitdiff
path: root/tests/rm/r-2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/r-2')
-rwxr-xr-xtests/rm/r-22
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/rm/r-2 b/tests/rm/r-2
index 5064413f6..68e61874e 100755
--- a/tests/rm/r-2
+++ b/tests/rm/r-2
@@ -28,7 +28,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
-trap 'status=$?; cd $pwd; rm -rf $t0 || exit $?; exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $t0 || exit $?; exit $status' 0
trap 'exit $?' 1 2 13 15
framework_failure=0